# dapnet2ntfy

**dapnet2ntfy** forwards messages from the [DAPNET](https://hampager.de/) to [ntfy](https://ntfy.sh/).

Similar to other [gateways](https://hampager.de/dokuwiki/doku.php#gateways_apps), especially the [Telegram Bot DB0USD](https://hampager.de/dokuwiki/doku.php?id=usecasetelegrambot), it allows receiving messages, when there is no pager with reception at hand.

## Prerequisites

### DAPNET account

A normal account at [hampager.de](https://support.hampager.de/open.php) (select 'Help Topic -> New DAPNET Account with or without RIC').
A transmitter registered at [hampager.de](https://support.hampager.de/open.php) (select 'Help Topic -> New DAPNET Transmitter').

### ntfy account

Use ntfy.sh or set up your own server: [DOCS](https://docs.ntfy.sh/).

### perl modules

- IO::Socket::INET
- IO::Socket::Timeout
- Errno
- HTTP::Request
- LWP::UserAgent
- MIME::Base64
- POSIX
- utf8

#### For Debian:

```console
apt install perl-base libio-socket-timeout-perl libhttp-message-perl libwww-perl
```

## Installation

Instructions for installing the script to $HOME/bin/
```console
systemctl --user daemon-reload
mkdir -p $HOME/.config/systemd/user/
cp dapnet2ntfy.service $HOME/.config/systemd/user/
mkdir -p $HOME/bin
install -m 700 dapnet2ntfy.pl $HOME/bin/
# edit the configuration section to your needs
systemctl --user daemon-reload
systemctl --user enable dapnet2ntfy.service --now
```
